import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
const newYewuApi = "http://project.test241.wanyuhengtong.com" + "/user/supplier/";

export const httpList = (data: object): any => {
  return http.request("post", `${newYewuApi}list`, { data });
};

export const httpInfo = (data: object): any => {
  return http.request("post", `${newYewuApi}info`, { data });
};

export const httpCreate = (data: object): any => {
  return http.request("post", `${newYewuApi}create`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${newYewuApi}save`, { data });
};

export const httpUpper = (data: object): any => {
  return http.request("post", `${newYewuApi}upgrade`, { data });
};

//发票回票审核状态
export const httpStatus = (data: object): any => {
  return http.request("post", `${newYewuApi}status`, { data });
};
